import { TestRun, Suite } from '@saucelabs/sauce-json-reporter';
import { SummaryFormatter, IFormatterOptions } from '@cucumber/cucumber';
import { Duration } from '@cucumber/messages';
import { Asset, TestComposer } from '@saucelabs/testcomposer';
type SauceRegion = 'us-west-1' | 'eu-central-1' | 'staging';
export default class SauceReporter extends SummaryFormatter {
    testRun: TestRun;
    name: string;
    /**
     * @deprecated Use `name` instead.
     */
    suiteName: string;
    browserName: string;
    build: string;
    tags: string[];
    region: SauceRegion;
    outputFile: string;
    shouldUpload: boolean;
    assets: Asset[];
    testComposer?: TestComposer;
    cucumberVersion: string;
    startedAt?: string;
    endedAt?: string;
    videoStartTime?: number;
    consoleLog: string[];
    passed: boolean;
    baseLog: (buffer: string | Uint8Array) => void;
    logWrapper(buffer: string | Uint8Array): void;
    constructor(config: IFormatterOptions);
    setupTestComposer(): void;
    logTestCase(testCaseFinished: {
        testCaseStartedId: string;
    }): void;
    calculateTestTiming(suite: Suite, endTime: Date): void;
    logTestRun(testRunFinished: {
        success: boolean;
    }): Promise<void>;
    durationToMilliseconds(duration: Duration): number;
    reportToFile(report: TestRun): void;
    reportToSauce(): Promise<{
        id: string;
        url: string;
    } | undefined>;
    uploadAssets(jobId: string): Promise<void>;
    getPlatformName(): string;
}
export {};
//# sourceMappingURL=reporter.d.ts.map